#!/bin/sh

set -x

name=uncloud:$(git describe)
docker build -t ${name} .

# check for args
if [ $# -ge 1 ]; then
    target=$1; shift
else
    target=""
fi

case "$target" in
    dev)
        url=harbor.default.svc.c2.k8s.ooo/ungleich-public
        docker tag $name ${url}/${name}
        docker push ${url}/${name}
        ;;
    prod)
        url=harbor.ungleich.svc.p10.k8s.ooo/ungleich-public
        docker tag $name ${url}/${name}
        docker push ${url}/${name}
        ;;
    "")
        echo "Not pushing anywhere"
        ;;
    *)
        echo "Unknown argument $target, ignoring"
        exit 1
        ;;
esac
